IF EXISTS (SELECT * FROM sysobjects WHERE type = 'P' AND name = 'adfDocumentCategoryBrowse')
	BEGIN
		PRINT 'Dropping Procedure adfDocumentCategoryBrowse'
		DROP  Procedure  adfDocumentCategoryBrowse
	END

GO

PRINT 'Creating Procedure adfDocumentCategoryBrowse'
GO
/******************************************************************************
**		File: 
**		Name: adfDocumentCategoryBrowse
**		Desc: 
**
**		This template can be customized:
**              
**		Return values:
** 
**		Called by:   
**              
**		Parameters:
**		Input							Output
**      ----------						-----------
**
**		Auth: 
**		Date: 
*******************************************************************************
**		Change History
*******************************************************************************
**		Date:		Author:			Description:
**		--------	--------		-------------------------------------------
**    
*******************************************************************************/
CREATE Procedure adfDocumentCategoryBrowse
	@DocumentID TIdentifier,
	@DocumentClass TClass
AS
	SET NOCOUNT ON
	SELECT
		[Category].[ID],
		[Category].[FileAs] as [Name]
	FROM
		[DocumentCategory] INNER JOIN [Category]
			ON ([DocumentCategory].[CategoryID] = [Category].[ID])-- AND [Category].[State] = 1)
	WHERE
		[DocumentCategory].[DocumentID] = @DocumentID
	AND
		[DocumentCategory].[DocumentClass] = @DocumentClass
		
	RETURN 0
GO

GRANT EXEC ON adfDocumentCategoryBrowse TO PUBLIC
GO
