 IF EXISTS (SELECT * FROM sysobjects WHERE type = 'P' AND name = 'adfLabelUpdate')
	BEGIN
		PRINT 'Dropping Procedure adfLabelUpdate'
		DROP  Procedure  adfLabelUpdate
	END

GO

PRINT 'Creating Procedure adfLabelUpdate'
GO
/******************************************************************************
**		File: 
**		Name: adfLabelUpdate
**		Desc: 
**
**		This template can be customized:
**              
**		Return values:
** 
**		Called by:   
**              
**		Parameters:
**		Input							Output
**     ----------							-----------
**
**		Auth: 
**		Date: 
*******************************************************************************
**		Change History
*******************************************************************************
**		Date:		Author:			Description:
**		--------	--------		-------------------------------------------
**    
*******************************************************************************/
CREATE Procedure adfLabelUpdate
	@Class TClass,
	@Color TColor,
	@Text TName
AS
	SET NOCOUNT ON
	
	IF EXISTS(SELECT * FROM [DocumentLabel] WHERE [Class] = @Class AND [Color] = @Color)
		UPDATE [DocumentLabel] SET [Text] = @Text WHERE [Class] = @Class AND [Color] = @Color
	ELSE
		INSERT [DocumentLabel] ([Class], [Color], [Text]) VALUES(@Class, @Color, @Text)	

	RETURN 0
GO

GRANT EXEC ON adfLabelUpdate TO PUBLIC
GO
