IF EXISTS (SELECT * FROM sysobjects WHERE type = 'P' AND name = 'adfStateDelete')
	BEGIN
		PRINT 'Dropping Procedure adfStateDelete'
		DROP  Procedure  adfStateDelete
	END

GO

PRINT 'Creating Procedure adfStateDelete'
GO
/******************************************************************************
**		File: 
**		Name: adfStateDelete
**		Desc: 
**
**		This template can be customized:
**              
**		Return values:
** 
**		Called by:   
**              
**		Parameters:
**		Input							Output
**      ----------						-----------
**
**		Auth: 
**		Date: 
*******************************************************************************
**		Change History
*******************************************************************************
**		Date:		Author:			Description:
**		--------	--------		-------------------------------------------
**    
*******************************************************************************/
CREATE Procedure adfStateDelete
	@Class TClass,
	@State TState
AS
	SET NOCOUNT ON
	
	DELETE 
		[State]
	WHERE
		[State].[Class] = @Class
	AND
		[State].[State] = @State
	
	RETURN 0
GO

GRANT EXEC ON adfStateDelete TO PUBLIC
GO
