	IF NOT EXISTS(SELECT [ID] FROM [Assignment] WHERE [FinanceManagement] = 1) BEGIN
		UPDATE [Assignment]
			SET 
				[FinanceManagement] = 
				CASE 
					WHEN (dbo.adfHasAccessRightByNameForUser('ViewFinance', [Employee].[UserID])=1
						OR dbo.adfHasAccessRightByNameForUser('ViewAllFinance', [Employee].[UserID])=1)
						THEN 1
					ELSE 0
				END
			FROM
				[Assignment]
				INNER JOIN [Project] 
					ON [Project].[ID]=[Assignment].[ProjectID]
				INNER JOIN [AssignmentEntry]
					ON [AssignmentEntry].[AssignmentID] = [Assignment].[ID]
				INNER JOIN [Employee]
					ON [Employee].[ID] = [AssignmentEntry].[EmployeeID]
			WHERE 
				[Project].[State]!=4 AND 
				[Assignment].[State] = 1 AND [Employee].[State] = 1
	END