IF EXISTS(select * from systypes where name='TXml')
BEGIN
	IF EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'SearchFolder') AND OBJECTPROPERTY(id, N'IsUserTable') = 1)
	BEGIN
		IF EXISTS (SELECT * FROM syscolumns WHERE [name] = 'Criteria' AND OBJECTPROPERTY(id, N'IsUserTable') = 1 AND OBJECT_NAME(id)='SearchFolder')
		BEGIN
			ALTER TABLE [SearchFolder] ALTER COLUMN [Criteria] XML NOT NULL
		END
	END

	IF EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'User') AND OBJECTPROPERTY(id, N'IsUserTable') = 1)
	BEGIN
		IF EXISTS (SELECT * FROM syscolumns WHERE [name] = 'ApplicationSettings' AND OBJECTPROPERTY(id, N'IsUserTable') = 1 AND OBJECT_NAME(id)='User')
		BEGIN
			ALTER TABLE [User] ALTER COLUMN [ApplicationSettings] XML NULL
		END
	END
	
	IF EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'UserWebConfiguration') AND OBJECTPROPERTY(id, N'IsUserTable') = 1)
	BEGIN
		IF EXISTS (SELECT * FROM syscolumns WHERE [name] = 'Value' AND OBJECTPROPERTY(id, N'IsUserTable') = 1 AND OBJECT_NAME(id)='UserWebConfiguration')
		BEGIN
			ALTER TABLE [UserWebConfiguration] ALTER COLUMN [Value] XML NOT NULL
		END
	END

	IF EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'Sticker') AND OBJECTPROPERTY(id, N'IsUserTable') = 1)
	BEGIN
		IF EXISTS (SELECT * FROM syscolumns WHERE [name] = 'Settings' AND OBJECTPROPERTY(id, N'IsUserTable') = 1 AND OBJECT_NAME(id)='Sticker')
		BEGIN
			ALTER TABLE [Sticker] ALTER COLUMN [Settings] XML NULL
		END
	END

	IF EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'ExtendedProperties') AND OBJECTPROPERTY(id, N'IsUserTable') = 1)
	BEGIN
		IF EXISTS (SELECT * FROM syscolumns WHERE [name] = 'ExtendedProperties' AND OBJECTPROPERTY(id, N'IsUserTable') = 1 AND OBJECT_NAME(id)='ExtendedProperties')
		BEGIN
			ALTER TABLE [ExtendedProperties] ALTER COLUMN [ExtendedProperties] XML NULL
		END
	END
END
GO