/*==========================================================*/
/* Database View:                          */
/*==========================================================*/
if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[pjm5vwAnnouncementCreated]') and OBJECTPROPERTY(id, N'IsView') = 1)
	drop view [dbo].[pjm5vwAnnouncementCreated]
go

create view pjm5vwAnnouncementCreated
as
	SELECT DISTINCT
		[Announcement].[Class] as [DocumentClass],
		[Announcement].[ID] as [DocumentID],
		dbo.adfGetClassByName('Pjm5.Project') as [ContainerClass],
		[Announcement].[ProjectID] as [ContainerID],
		[Employee].[UserID] as [UserID],
		[Employee].[UserID] as [Value],
		[Announcement].[ModifiedBy] as [OwnerUserID]
	FROM
		[Announcement] CROSS JOIN [Employee]
		INNER JOIN [Company]
			ON ([Employee].[CompanyID] = [Company].[ID] AND [Company].[Own] = 1)
	WHERE
		[Announcement].[State] = 1
	AND
		[Employee].[State] = 1 AND [Employee].[UserID] IS NOT NULL
go 