IF EXISTS (SELECT * FROM sysobjects WHERE type = 'P' AND name = 'pjm5SuperTimerTimeEntryBrowse')
	BEGIN
		PRINT 'Dropping Procedure pjm5SuperTimerTimeEntryBrowse'
		DROP  Procedure  pjm5SuperTimerTimeEntryBrowse
	END

GO

PRINT 'Creating Procedure pjm5SuperTimerTimeEntryBrowse'
GO
/******************************************************************************
**		File: 
**		Name: pjm5SuperTimerTimeEntryBrowse
**		Desc: 
**
**		This template can be customized:
**              
**		Return values:
** 
**		Called by:   
**              
**		Parameters:
**		Input							Output
**      ----------						-----------
**
**		Auth: 
**		Date: 
*******************************************************************************
**		Change History
*******************************************************************************
**		Date:		Author:			Description:
**		--------	--------		-------------------------------------------
**    
*******************************************************************************/
CREATE Procedure pjm5SuperTimerTimeEntryBrowse
	@SuperTimerID TIdentifier
AS
	SET NOCOUNT ON
		
	SELECT
		[TimeEntry].[Class],
		[TimeEntry].[ID],
		[TimeEntry].[FileAs],
		[TimeEntry].[State]
	FROM
		[TimeEntry]
	WHERE
		[SuperTimerID] = @SuperTimerID

	RETURN 0
GO

GRANT EXEC ON pjm5SuperTimerTimeEntryBrowse TO PUBLIC
GO
  