IF NOT EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'WarningFlag') AND OBJECTPROPERTY(id, N'IsUserTable') = 1)
/*==============================================================*/
/* Table: WarningFlag                                           */
/*==============================================================*/
create table WarningFlag (
   ID                   TIdentifier          not null,
   FileAs               TName                not null,
   WarningType          TIdentifier          not null,
   constraint WarningFlagPK primary key  (ID)
)
GO

IF NOT EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'WarningFlagGlobal') AND OBJECTPROPERTY(id, N'IsUserTable') = 1)
/*==============================================================*/
/* Table: WarningFlagGlobal                                     */
/*==============================================================*/
create table WarningFlagGlobal (
   ID                   TIdentifier          not null,
   Language             TLanguage            not null,
   FileAs               TName                not null,
   constraint WarningFlagGlobalPK primary key  (ID, Language)
)
GO

IF NOT EXISTS(SELECT * FROM dbo.syscolumns WHERE [name] = 'WarningFlagID' AND OBJECTPROPERTY(id, N'IsUserTable') = 1 AND OBJECT_NAME(id)='Invoice')
	ALTER TABLE [Invoice] ADD [WarningFlagID] TIdentifier null
GO

IF NOT EXISTS(SELECT * FROM dbo.syscolumns WHERE [name] = 'WarningFlagID' AND OBJECTPROPERTY(id, N'IsUserTable') = 1 AND OBJECT_NAME(id)='Statement')
	ALTER TABLE [Statement] ADD [WarningFlagID] TIdentifier null
GO