﻿ IF EXISTS (SELECT * FROM sysobjects WHERE type = 'V' AND name = 'vwEmail')
	BEGIN
		PRINT 'Dropping View vwEmail'
		DROP  View vwEmail
	END
GO

/******************************************************************************
**		File: 
**		Name: vwEmail
**		Desc: 
**
**		This template can be customized:
**              
**
**		Auth: anton.paramonov	
**		Date: 20.03.12	11:46:00
*******************************************************************************
**		Change History
*******************************************************************************
**		Date:		Author:				Description:
**		--------	--------			-------------------------------------------
**    
*******************************************************************************/

PRINT 'Creating View vwEmail'
GO

SET QUOTED_IDENTIFIER ON 
GO

CREATE VIEW [vwEmail]
AS
SELECT
	BusinessCardClass, 
	BusinessCardID, 
	[1] AS [#EmailType#1], 
	[2] AS [#EmailType#2], 
	[3] AS [#EmailType#3], 
	[4] AS [#EmailType#4]
FROM
	(SELECT 
		BusinessCardClass, 
		BusinessCardID, 
		EmailTypeID, 
		Email
	FROM [Email]) p
PIVOT
	(
		MIN([Email])
		FOR [EmailTypeID] IN ([1], [2], [3], [4])
	) AS pvt
GO

